Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network16.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
16.96.0.0
Broadcast address
16.127.255.255
First usable
16.96.0.1
Last usable
16.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 10600000 · Integer 274726912 to 276824063
Reverse DNS zones
96.16.in-addr.arpa
97.16.in-addr.arpa
98.16.in-addr.arpa
99.16.in-addr.arpa
100.16.in-addr.arpa
101.16.in-addr.arpa
102.16.in-addr.arpa
103.16.in-addr.arpa
104.16.in-addr.arpa
105.16.in-addr.arpa
106.16.in-addr.arpa
107.16.in-addr.arpa
108.16.in-addr.arpa
109.16.in-addr.arpa
110.16.in-addr.arpa
111.16.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010000.01100000.00000000.0000000016.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010000.01100000.00000000.0000000016.96.0.0
Broadcast00010000.01111111.11111111.1111111116.127.255.255
Split into smaller subnets/23

16.96.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
116.96.0.0/2316.96.0.1 to 16.96.1.25416.96.1.255510
216.96.2.0/2316.96.2.1 to 16.96.3.25416.96.3.255510
316.96.4.0/2316.96.4.1 to 16.96.5.25416.96.5.255510
416.96.6.0/2316.96.6.1 to 16.96.7.25416.96.7.255510
516.96.8.0/2316.96.8.1 to 16.96.9.25416.96.9.255510
616.96.10.0/2316.96.10.1 to 16.96.11.25416.96.11.255510
716.96.12.0/2316.96.12.1 to 16.96.13.25416.96.13.255510
816.96.14.0/2316.96.14.1 to 16.96.15.25416.96.15.255510
916.96.16.0/2316.96.16.1 to 16.96.17.25416.96.17.255510
1016.96.18.0/2316.96.18.1 to 16.96.19.25416.96.19.255510
1116.96.20.0/2316.96.20.1 to 16.96.21.25416.96.21.255510
1216.96.22.0/2316.96.22.1 to 16.96.23.25416.96.23.255510
1316.96.24.0/2316.96.24.1 to 16.96.25.25416.96.25.255510
1416.96.26.0/2316.96.26.1 to 16.96.27.25416.96.27.255510
1516.96.28.0/2316.96.28.1 to 16.96.29.25416.96.29.255510
1616.96.30.0/2316.96.30.1 to 16.96.31.25416.96.31.255510
1716.96.32.0/2316.96.32.1 to 16.96.33.25416.96.33.255510
1816.96.34.0/2316.96.34.1 to 16.96.35.25416.96.35.255510
1916.96.36.0/2316.96.36.1 to 16.96.37.25416.96.37.255510
2016.96.38.0/2316.96.38.1 to 16.96.39.25416.96.39.255510
2116.96.40.0/2316.96.40.1 to 16.96.41.25416.96.41.255510
2216.96.42.0/2316.96.42.1 to 16.96.43.25416.96.43.255510
2316.96.44.0/2316.96.44.1 to 16.96.45.25416.96.45.255510
2416.96.46.0/2316.96.46.1 to 16.96.47.25416.96.47.255510
2516.96.48.0/2316.96.48.1 to 16.96.49.25416.96.49.255510
2616.96.50.0/2316.96.50.1 to 16.96.51.25416.96.51.255510
2716.96.52.0/2316.96.52.1 to 16.96.53.25416.96.53.255510
2816.96.54.0/2316.96.54.1 to 16.96.55.25416.96.55.255510
2916.96.56.0/2316.96.56.1 to 16.96.57.25416.96.57.255510
3016.96.58.0/2316.96.58.1 to 16.96.59.25416.96.59.255510
3116.96.60.0/2316.96.60.1 to 16.96.61.25416.96.61.255510
3216.96.62.0/2316.96.62.1 to 16.96.63.25416.96.63.255510
3316.96.64.0/2316.96.64.1 to 16.96.65.25416.96.65.255510
3416.96.66.0/2316.96.66.1 to 16.96.67.25416.96.67.255510
3516.96.68.0/2316.96.68.1 to 16.96.69.25416.96.69.255510
3616.96.70.0/2316.96.70.1 to 16.96.71.25416.96.71.255510
3716.96.72.0/2316.96.72.1 to 16.96.73.25416.96.73.255510
3816.96.74.0/2316.96.74.1 to 16.96.75.25416.96.75.255510
3916.96.76.0/2316.96.76.1 to 16.96.77.25416.96.77.255510
4016.96.78.0/2316.96.78.1 to 16.96.79.25416.96.79.255510
4116.96.80.0/2316.96.80.1 to 16.96.81.25416.96.81.255510
4216.96.82.0/2316.96.82.1 to 16.96.83.25416.96.83.255510
4316.96.84.0/2316.96.84.1 to 16.96.85.25416.96.85.255510
4416.96.86.0/2316.96.86.1 to 16.96.87.25416.96.87.255510
4516.96.88.0/2316.96.88.1 to 16.96.89.25416.96.89.255510
4616.96.90.0/2316.96.90.1 to 16.96.91.25416.96.91.255510
4716.96.92.0/2316.96.92.1 to 16.96.93.25416.96.93.255510
4816.96.94.0/2316.96.94.1 to 16.96.95.25416.96.95.255510
4916.96.96.0/2316.96.96.1 to 16.96.97.25416.96.97.255510
5016.96.98.0/2316.96.98.1 to 16.96.99.25416.96.99.255510
5116.96.100.0/2316.96.100.1 to 16.96.101.25416.96.101.255510
5216.96.102.0/2316.96.102.1 to 16.96.103.25416.96.103.255510
5316.96.104.0/2316.96.104.1 to 16.96.105.25416.96.105.255510
5416.96.106.0/2316.96.106.1 to 16.96.107.25416.96.107.255510
5516.96.108.0/2316.96.108.1 to 16.96.109.25416.96.109.255510
5616.96.110.0/2316.96.110.1 to 16.96.111.25416.96.111.255510
5716.96.112.0/2316.96.112.1 to 16.96.113.25416.96.113.255510
5816.96.114.0/2316.96.114.1 to 16.96.115.25416.96.115.255510
5916.96.116.0/2316.96.116.1 to 16.96.117.25416.96.117.255510
6016.96.118.0/2316.96.118.1 to 16.96.119.25416.96.119.255510
6116.96.120.0/2316.96.120.1 to 16.96.121.25416.96.121.255510
6216.96.122.0/2316.96.122.1 to 16.96.123.25416.96.123.255510
6316.96.124.0/2316.96.124.1 to 16.96.125.25416.96.125.255510
6416.96.126.0/2316.96.126.1 to 16.96.127.25416.96.127.255510
6516.96.128.0/2316.96.128.1 to 16.96.129.25416.96.129.255510
6616.96.130.0/2316.96.130.1 to 16.96.131.25416.96.131.255510
6716.96.132.0/2316.96.132.1 to 16.96.133.25416.96.133.255510
6816.96.134.0/2316.96.134.1 to 16.96.135.25416.96.135.255510
6916.96.136.0/2316.96.136.1 to 16.96.137.25416.96.137.255510
7016.96.138.0/2316.96.138.1 to 16.96.139.25416.96.139.255510
7116.96.140.0/2316.96.140.1 to 16.96.141.25416.96.141.255510
7216.96.142.0/2316.96.142.1 to 16.96.143.25416.96.143.255510
7316.96.144.0/2316.96.144.1 to 16.96.145.25416.96.145.255510
7416.96.146.0/2316.96.146.1 to 16.96.147.25416.96.147.255510
7516.96.148.0/2316.96.148.1 to 16.96.149.25416.96.149.255510
7616.96.150.0/2316.96.150.1 to 16.96.151.25416.96.151.255510
7716.96.152.0/2316.96.152.1 to 16.96.153.25416.96.153.255510
7816.96.154.0/2316.96.154.1 to 16.96.155.25416.96.155.255510
7916.96.156.0/2316.96.156.1 to 16.96.157.25416.96.157.255510
8016.96.158.0/2316.96.158.1 to 16.96.159.25416.96.159.255510
8116.96.160.0/2316.96.160.1 to 16.96.161.25416.96.161.255510
8216.96.162.0/2316.96.162.1 to 16.96.163.25416.96.163.255510
8316.96.164.0/2316.96.164.1 to 16.96.165.25416.96.165.255510
8416.96.166.0/2316.96.166.1 to 16.96.167.25416.96.167.255510
8516.96.168.0/2316.96.168.1 to 16.96.169.25416.96.169.255510
8616.96.170.0/2316.96.170.1 to 16.96.171.25416.96.171.255510
8716.96.172.0/2316.96.172.1 to 16.96.173.25416.96.173.255510
8816.96.174.0/2316.96.174.1 to 16.96.175.25416.96.175.255510
8916.96.176.0/2316.96.176.1 to 16.96.177.25416.96.177.255510
9016.96.178.0/2316.96.178.1 to 16.96.179.25416.96.179.255510
9116.96.180.0/2316.96.180.1 to 16.96.181.25416.96.181.255510
9216.96.182.0/2316.96.182.1 to 16.96.183.25416.96.183.255510
9316.96.184.0/2316.96.184.1 to 16.96.185.25416.96.185.255510
9416.96.186.0/2316.96.186.1 to 16.96.187.25416.96.187.255510
9516.96.188.0/2316.96.188.1 to 16.96.189.25416.96.189.255510
9616.96.190.0/2316.96.190.1 to 16.96.191.25416.96.191.255510
9716.96.192.0/2316.96.192.1 to 16.96.193.25416.96.193.255510
9816.96.194.0/2316.96.194.1 to 16.96.195.25416.96.195.255510
9916.96.196.0/2316.96.196.1 to 16.96.197.25416.96.197.255510
10016.96.198.0/2316.96.198.1 to 16.96.199.25416.96.199.255510
10116.96.200.0/2316.96.200.1 to 16.96.201.25416.96.201.255510
10216.96.202.0/2316.96.202.1 to 16.96.203.25416.96.203.255510
10316.96.204.0/2316.96.204.1 to 16.96.205.25416.96.205.255510
10416.96.206.0/2316.96.206.1 to 16.96.207.25416.96.207.255510
10516.96.208.0/2316.96.208.1 to 16.96.209.25416.96.209.255510
10616.96.210.0/2316.96.210.1 to 16.96.211.25416.96.211.255510
10716.96.212.0/2316.96.212.1 to 16.96.213.25416.96.213.255510
10816.96.214.0/2316.96.214.1 to 16.96.215.25416.96.215.255510
10916.96.216.0/2316.96.216.1 to 16.96.217.25416.96.217.255510
11016.96.218.0/2316.96.218.1 to 16.96.219.25416.96.219.255510
11116.96.220.0/2316.96.220.1 to 16.96.221.25416.96.221.255510
11216.96.222.0/2316.96.222.1 to 16.96.223.25416.96.223.255510
11316.96.224.0/2316.96.224.1 to 16.96.225.25416.96.225.255510
11416.96.226.0/2316.96.226.1 to 16.96.227.25416.96.227.255510
11516.96.228.0/2316.96.228.1 to 16.96.229.25416.96.229.255510
11616.96.230.0/2316.96.230.1 to 16.96.231.25416.96.231.255510
11716.96.232.0/2316.96.232.1 to 16.96.233.25416.96.233.255510
11816.96.234.0/2316.96.234.1 to 16.96.235.25416.96.235.255510
11916.96.236.0/2316.96.236.1 to 16.96.237.25416.96.237.255510
12016.96.238.0/2316.96.238.1 to 16.96.239.25416.96.239.255510
12116.96.240.0/2316.96.240.1 to 16.96.241.25416.96.241.255510
12216.96.242.0/2316.96.242.1 to 16.96.243.25416.96.243.255510
12316.96.244.0/2316.96.244.1 to 16.96.245.25416.96.245.255510
12416.96.246.0/2316.96.246.1 to 16.96.247.25416.96.247.255510
12516.96.248.0/2316.96.248.1 to 16.96.249.25416.96.249.255510
12616.96.250.0/2316.96.250.1 to 16.96.251.25416.96.251.255510
12716.96.252.0/2316.96.252.1 to 16.96.253.25416.96.253.255510
12816.96.254.0/2316.96.254.1 to 16.96.255.25416.96.255.255510
12916.97.0.0/2316.97.0.1 to 16.97.1.25416.97.1.255510
13016.97.2.0/2316.97.2.1 to 16.97.3.25416.97.3.255510
13116.97.4.0/2316.97.4.1 to 16.97.5.25416.97.5.255510
13216.97.6.0/2316.97.6.1 to 16.97.7.25416.97.7.255510
13316.97.8.0/2316.97.8.1 to 16.97.9.25416.97.9.255510
13416.97.10.0/2316.97.10.1 to 16.97.11.25416.97.11.255510
13516.97.12.0/2316.97.12.1 to 16.97.13.25416.97.13.255510
13616.97.14.0/2316.97.14.1 to 16.97.15.25416.97.15.255510
13716.97.16.0/2316.97.16.1 to 16.97.17.25416.97.17.255510
13816.97.18.0/2316.97.18.1 to 16.97.19.25416.97.19.255510
13916.97.20.0/2316.97.20.1 to 16.97.21.25416.97.21.255510
14016.97.22.0/2316.97.22.1 to 16.97.23.25416.97.23.255510
14116.97.24.0/2316.97.24.1 to 16.97.25.25416.97.25.255510
14216.97.26.0/2316.97.26.1 to 16.97.27.25416.97.27.255510
14316.97.28.0/2316.97.28.1 to 16.97.29.25416.97.29.255510
14416.97.30.0/2316.97.30.1 to 16.97.31.25416.97.31.255510
14516.97.32.0/2316.97.32.1 to 16.97.33.25416.97.33.255510
14616.97.34.0/2316.97.34.1 to 16.97.35.25416.97.35.255510
14716.97.36.0/2316.97.36.1 to 16.97.37.25416.97.37.255510
14816.97.38.0/2316.97.38.1 to 16.97.39.25416.97.39.255510
14916.97.40.0/2316.97.40.1 to 16.97.41.25416.97.41.255510
15016.97.42.0/2316.97.42.1 to 16.97.43.25416.97.43.255510
15116.97.44.0/2316.97.44.1 to 16.97.45.25416.97.45.255510
15216.97.46.0/2316.97.46.1 to 16.97.47.25416.97.47.255510
15316.97.48.0/2316.97.48.1 to 16.97.49.25416.97.49.255510
15416.97.50.0/2316.97.50.1 to 16.97.51.25416.97.51.255510
15516.97.52.0/2316.97.52.1 to 16.97.53.25416.97.53.255510
15616.97.54.0/2316.97.54.1 to 16.97.55.25416.97.55.255510
15716.97.56.0/2316.97.56.1 to 16.97.57.25416.97.57.255510
15816.97.58.0/2316.97.58.1 to 16.97.59.25416.97.59.255510
15916.97.60.0/2316.97.60.1 to 16.97.61.25416.97.61.255510
16016.97.62.0/2316.97.62.1 to 16.97.63.25416.97.63.255510
16116.97.64.0/2316.97.64.1 to 16.97.65.25416.97.65.255510
16216.97.66.0/2316.97.66.1 to 16.97.67.25416.97.67.255510
16316.97.68.0/2316.97.68.1 to 16.97.69.25416.97.69.255510
16416.97.70.0/2316.97.70.1 to 16.97.71.25416.97.71.255510
16516.97.72.0/2316.97.72.1 to 16.97.73.25416.97.73.255510
16616.97.74.0/2316.97.74.1 to 16.97.75.25416.97.75.255510
16716.97.76.0/2316.97.76.1 to 16.97.77.25416.97.77.255510
16816.97.78.0/2316.97.78.1 to 16.97.79.25416.97.79.255510
16916.97.80.0/2316.97.80.1 to 16.97.81.25416.97.81.255510
17016.97.82.0/2316.97.82.1 to 16.97.83.25416.97.83.255510
17116.97.84.0/2316.97.84.1 to 16.97.85.25416.97.85.255510
17216.97.86.0/2316.97.86.1 to 16.97.87.25416.97.87.255510
17316.97.88.0/2316.97.88.1 to 16.97.89.25416.97.89.255510
17416.97.90.0/2316.97.90.1 to 16.97.91.25416.97.91.255510
17516.97.92.0/2316.97.92.1 to 16.97.93.25416.97.93.255510
17616.97.94.0/2316.97.94.1 to 16.97.95.25416.97.95.255510
17716.97.96.0/2316.97.96.1 to 16.97.97.25416.97.97.255510
17816.97.98.0/2316.97.98.1 to 16.97.99.25416.97.99.255510
17916.97.100.0/2316.97.100.1 to 16.97.101.25416.97.101.255510
18016.97.102.0/2316.97.102.1 to 16.97.103.25416.97.103.255510
18116.97.104.0/2316.97.104.1 to 16.97.105.25416.97.105.255510
18216.97.106.0/2316.97.106.1 to 16.97.107.25416.97.107.255510
18316.97.108.0/2316.97.108.1 to 16.97.109.25416.97.109.255510
18416.97.110.0/2316.97.110.1 to 16.97.111.25416.97.111.255510
18516.97.112.0/2316.97.112.1 to 16.97.113.25416.97.113.255510
18616.97.114.0/2316.97.114.1 to 16.97.115.25416.97.115.255510
18716.97.116.0/2316.97.116.1 to 16.97.117.25416.97.117.255510
18816.97.118.0/2316.97.118.1 to 16.97.119.25416.97.119.255510
18916.97.120.0/2316.97.120.1 to 16.97.121.25416.97.121.255510
19016.97.122.0/2316.97.122.1 to 16.97.123.25416.97.123.255510
19116.97.124.0/2316.97.124.1 to 16.97.125.25416.97.125.255510
19216.97.126.0/2316.97.126.1 to 16.97.127.25416.97.127.255510
19316.97.128.0/2316.97.128.1 to 16.97.129.25416.97.129.255510
19416.97.130.0/2316.97.130.1 to 16.97.131.25416.97.131.255510
19516.97.132.0/2316.97.132.1 to 16.97.133.25416.97.133.255510
19616.97.134.0/2316.97.134.1 to 16.97.135.25416.97.135.255510
19716.97.136.0/2316.97.136.1 to 16.97.137.25416.97.137.255510
19816.97.138.0/2316.97.138.1 to 16.97.139.25416.97.139.255510
19916.97.140.0/2316.97.140.1 to 16.97.141.25416.97.141.255510
20016.97.142.0/2316.97.142.1 to 16.97.143.25416.97.143.255510
20116.97.144.0/2316.97.144.1 to 16.97.145.25416.97.145.255510
20216.97.146.0/2316.97.146.1 to 16.97.147.25416.97.147.255510
20316.97.148.0/2316.97.148.1 to 16.97.149.25416.97.149.255510
20416.97.150.0/2316.97.150.1 to 16.97.151.25416.97.151.255510
20516.97.152.0/2316.97.152.1 to 16.97.153.25416.97.153.255510
20616.97.154.0/2316.97.154.1 to 16.97.155.25416.97.155.255510
20716.97.156.0/2316.97.156.1 to 16.97.157.25416.97.157.255510
20816.97.158.0/2316.97.158.1 to 16.97.159.25416.97.159.255510
20916.97.160.0/2316.97.160.1 to 16.97.161.25416.97.161.255510
21016.97.162.0/2316.97.162.1 to 16.97.163.25416.97.163.255510
21116.97.164.0/2316.97.164.1 to 16.97.165.25416.97.165.255510
21216.97.166.0/2316.97.166.1 to 16.97.167.25416.97.167.255510
21316.97.168.0/2316.97.168.1 to 16.97.169.25416.97.169.255510
21416.97.170.0/2316.97.170.1 to 16.97.171.25416.97.171.255510
21516.97.172.0/2316.97.172.1 to 16.97.173.25416.97.173.255510
21616.97.174.0/2316.97.174.1 to 16.97.175.25416.97.175.255510
21716.97.176.0/2316.97.176.1 to 16.97.177.25416.97.177.255510
21816.97.178.0/2316.97.178.1 to 16.97.179.25416.97.179.255510
21916.97.180.0/2316.97.180.1 to 16.97.181.25416.97.181.255510
22016.97.182.0/2316.97.182.1 to 16.97.183.25416.97.183.255510
22116.97.184.0/2316.97.184.1 to 16.97.185.25416.97.185.255510
22216.97.186.0/2316.97.186.1 to 16.97.187.25416.97.187.255510
22316.97.188.0/2316.97.188.1 to 16.97.189.25416.97.189.255510
22416.97.190.0/2316.97.190.1 to 16.97.191.25416.97.191.255510
22516.97.192.0/2316.97.192.1 to 16.97.193.25416.97.193.255510
22616.97.194.0/2316.97.194.1 to 16.97.195.25416.97.195.255510
22716.97.196.0/2316.97.196.1 to 16.97.197.25416.97.197.255510
22816.97.198.0/2316.97.198.1 to 16.97.199.25416.97.199.255510
22916.97.200.0/2316.97.200.1 to 16.97.201.25416.97.201.255510
23016.97.202.0/2316.97.202.1 to 16.97.203.25416.97.203.255510
23116.97.204.0/2316.97.204.1 to 16.97.205.25416.97.205.255510
23216.97.206.0/2316.97.206.1 to 16.97.207.25416.97.207.255510
23316.97.208.0/2316.97.208.1 to 16.97.209.25416.97.209.255510
23416.97.210.0/2316.97.210.1 to 16.97.211.25416.97.211.255510
23516.97.212.0/2316.97.212.1 to 16.97.213.25416.97.213.255510
23616.97.214.0/2316.97.214.1 to 16.97.215.25416.97.215.255510
23716.97.216.0/2316.97.216.1 to 16.97.217.25416.97.217.255510
23816.97.218.0/2316.97.218.1 to 16.97.219.25416.97.219.255510
23916.97.220.0/2316.97.220.1 to 16.97.221.25416.97.221.255510
24016.97.222.0/2316.97.222.1 to 16.97.223.25416.97.223.255510
24116.97.224.0/2316.97.224.1 to 16.97.225.25416.97.225.255510
24216.97.226.0/2316.97.226.1 to 16.97.227.25416.97.227.255510
24316.97.228.0/2316.97.228.1 to 16.97.229.25416.97.229.255510
24416.97.230.0/2316.97.230.1 to 16.97.231.25416.97.231.255510
24516.97.232.0/2316.97.232.1 to 16.97.233.25416.97.233.255510
24616.97.234.0/2316.97.234.1 to 16.97.235.25416.97.235.255510
24716.97.236.0/2316.97.236.1 to 16.97.237.25416.97.237.255510
24816.97.238.0/2316.97.238.1 to 16.97.239.25416.97.239.255510
24916.97.240.0/2316.97.240.1 to 16.97.241.25416.97.241.255510
25016.97.242.0/2316.97.242.1 to 16.97.243.25416.97.243.255510
25116.97.244.0/2316.97.244.1 to 16.97.245.25416.97.245.255510
25216.97.246.0/2316.97.246.1 to 16.97.247.25416.97.247.255510
25316.97.248.0/2316.97.248.1 to 16.97.249.25416.97.249.255510
25416.97.250.0/2316.97.250.1 to 16.97.251.25416.97.251.255510
25516.97.252.0/2316.97.252.1 to 16.97.253.25416.97.253.255510
25616.97.254.0/2316.97.254.1 to 16.97.255.25416.97.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses